tebarDocs
GuideDevelopersAPI ReferenceChangelog
Media

List the media library

GET
/v1/media

Ready files, newest first, with how many posts use each.

Requires the read scope.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Query Parameters

type?string
Value in"image""video"
limit?integer
Range1 <= value <= 100
Default40
cursor?string
Lengthlength <= 200

Header Parameters

Tebar-Profile?string

Limits an owner key to one profile (id or external_id). Unknown: 404 profile_not_found.

Response Body

A page of media.

application/json
  1. response
data*array<>
next_cursor*string|null
Example Request
curl -X GET 'https://api.tebar.app/v1/media'
Example Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8",
      "type": "image",
      "mime_type": "string",
      "size_bytes": 0,
      "width": 0,
      "height": 0,
      "duration_ms": 0,
      "frame_rate": 0,
      "status": "pending",
      "public_url": "string",
      "poster_url": "string",
      "alt_text": "string",
      "keep": true,
      "created_at": "2019-08-24T14:15:22Z",
      "used_count": 0
    }
  ],
  "next_cursor": "string"
}